const io = require('socket.io')(3001, { cors: { origin: "*" } });

io.on('connection', (socket) => {
  socket.on('join_system', (data) => {
    socket.join(data.rooms); // On rejoint les salons choisis
    console.log(`${data.pseudo} est entré dans: ${data.rooms}`);
  });

  socket.on('send_msg', (data) => {
    // On envoie le message à tout le monde dans le salon spécifié
    io.to(data.room).emit('receive_msg', data);
  });
});